---
name: Michael Friedrich
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/marketing/developer-advocate/">Staff
  Developer Advocate</a>
reports_to: john-coghlan
picture: michaelfriedrich.jpg
twitter: dnsmichi
linkedin: dnsmichi
gitlab: dnsmichi
pronouns: he/him
departments:
- Developer Relations
- Marketing
- Corporate Marketing
expertise: <li><a href="https://handbook.gitlab.com/handbook/marketing/developer-relations/developer-advocacy/#i-classfa-fa-users-aria-hiddentruei-team-members-and-focus-areas">AI/GitLab
  Duo, DevSecOps, CI/CD, Cloud-Native, Observability</a></li>
projects:
  gitlab-components: maintainer
story: 'Michael Friedrich is a Staff Developer Advocate at GitLab, focussing on DevSecOps
  efficiency with AI. His desire to learn how a computer works brought him from Hardware/Software
  Systems Engineering to DNS to open-source monitoring development to authoring Git/GitLab
  training and DevOps workflows. Michael loves to educate everyone and regularly speaks
  at industry events and meetups. He enjoys unexpected challenges and creates best-practice
  tutorials and live-programming sessions. When not traveling the world and working
  remotely, he enjoys building LEGO models and dives into embedded hardware adventures. '
job_title: Staff Developer Advocate
division: Marketing
public: true

